Table of Contents

## Name

AuSoundPlayFromData - create a flow to play from memory.

## Synopsis

#include <audio/audiolib.h>
#include <audio/soundlib.h>

AuEventHandlerRec *AuSoundPlayFromData(server, sound, data, destination, volume, callback, callback_data, flow, volume_mult_elem, monitor_element, status)
AuServer *server;
Sound sound;
AuPointer data;
AuDeviceID destination;
AuFixedPoint volume;
void (*callback) (AuServer *, AuEventHandlerRec *, AuEvent *, AuPointer);
AuPointer callback_data;
AuFlowID *flow; /* RETURN */
int *volume_mult_elem; /* RETURN */
int *monitor_element; /* RETURN */
AuStatus *status; /* RETURN */

## Arguments

server
  Specifies the connection to the audio server.
sound
  Specifies the description of the audio data.
data
  Specifies the audio data to play.
destination
  Specifies the device to play the data on.
volume
  Specifies the volume.
callback
  Specifies the procedure to be called for additional event processing.
callback_data
  Specifies any additional arguments to be passed the callback.
flow
  If non-NULL, returns the flow ID.
volume_mult_elem
  If non-NULL, returns the index of the volume multipler element.
monitor_element
  If non-NULL, include an ExportMonitor element in the flow and return it's index.
status
  If non-NULL, flush the output buffer and return the status from the server.

## Description

AuSoundPlayFromData creates a flow to play data on device and returns a pointer to the event handler created or NULL if there was an error.

## Errors

AuBadAlloc, AuBadDevice.

## See Also

AuSoundPlay, AuSoundPlayFromBucket, AuSoundPlayFromFile, AuSoundPlaySynchronousFromFile.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Errors
- See Also